1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Autoinstaller 3 Broken

Discussion in 'Plesk for Linux - 8.x and Older' started by nwdhosting, Apr 25, 2006.

  1. nwdhosting

    nwdhosting Guest

    0
     
    Hi -

    I have a RedHat 9 system with Plesk 7.5.4 on it. Like many others, I use the ART repository to keep various things on my system up-to-date.

    With Autoinstaller 2, this wasn't a problem. However since upgrading to Autoinstaller 3, I can no longer do any updates.

    The error message returned in the e-mails is:

    Reading system installed packages...done.
    Download file plesk-7.5.4-rh9-i386.hdr.gz: 15%..35%..55%..75%..94%..100% done
    Download file plesk-7.5.4-rh9-i386.hdr.gz: 18%..31%..45%..58%..72%..86%..100% done
    Resolve components
    ERROR: Impossible do installation while package php-pear-1:4.4.2-3.rh90.art.i386 is installed in system
    ERROR: Installation failed


    Looking at the end of the /tmp/autoinstaller3.log file, I found the following:


    find files conflicts for php-4.3.2-psa.rh9.1.i386
    Files conflict detected: necessary package php-4.3.2-psa.rh9.1.i386 have file /usr/bin/pear which is also provided by package php-pear-1:4.4.2-3.rh90.art.i386 with different md5 sum, try to resolve this situation.
    Unresolved files conflict: necessary package php-4.3.2-psa.rh9.1.i386 have the file /usr/bin/pear. Other package php-pear-1:4.4.2-3.rh90.art.i386 is provides the same file with different md5sum and there is no upgrade or obsolete solution, add to removable list php-pear
    catch error with message: Impossible do installation while package php-pear-1:4.4.2-3.rh90.art.i386 is installed in system
    ERROR: Impossible do installation while package php-pear-1:4.4.2-3.rh90.art.i386 is installed in system
    Exit with ERROR status


    It looks like the PSA RPMs are conflicting with the ART RPMs, but I'm unsure how to fix the problem.

    What I need is either:
    1.) A way to fix this so that autoinstaller3 will work again, or failing that . . .

    2.) A way to download updates that doesn't use autoinstaller3

    Thanks, in advance.

    Noah Kaufman
    NWD Hosting
     
  2. nwdhosting

    nwdhosting Guest

    0
     
    Solved my own problem - sort of...

    Using the information here:
    http://forum.swsoft.com/showthread.php?s=&threadid=32350
    (check out the last post)

    I was at least able to get the autoinstaller to copy all the files down to /root/psa/..., although of course when it insisted on attempting to reinstall PHP it failed.

    I then went through and installed the downloaded RPMs by hand, and now the autoinstaller tels me that my system is up-to-date.

    Not a perfect ending, but at least the server is up-to-date.

    Long term, I think that perhaps autoinstaller3 needs a couple of updates to make it a little smarter (or dumber, depending on your perspective) so that it will just allow the install to proceed if it finds RPMs of a later version than it expects.
     
Loading...